application.updateHistory

Update the history of an application. Used to update stage timestamps and to delete history events.

Also requires the Allow updating application history? setting found in your admin API key permissions configuration.

Requires the candidatesWrite permission.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
uuid
required

The id of the application whose history to update.

applicationHistory
array of objects
required
length ≥ 1

The updated array of application history events. This array should contain all history events for the application, not just the events being updated.

applicationHistory*

An application history event.

uuid
required

The id of the interview stage for this history event. Must belong to the application's interview plan.

integer
required
-9007199254740991 to 9007199254740991

The sort order of this event. 0 is the first, the highest number will be the current stage.

date-time
required

An ISO date string representing the time the application entered this stage.

The id of the application history event to update. Required when updating an existing event; omit for new events.

The id of the archive reason. Required when the interview stage is of type Archived.

Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json